# Generated by Django 3.1.2 on 2020-10-22 13:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Relays',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'permissions': (('basic_access', 'Can access this app'),),
                'managed': False,
                'default_permissions': (),
            },
        ),
        migrations.CreateModel(
            name='AccessTokens',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token', models.CharField(max_length=256)),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Access Token',
                'verbose_name_plural': 'Access Tokens',
            },
        ),
        migrations.CreateModel(
            name='Channels',
            fields=[
                ('channel', models.PositiveBigIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'verbose_name': 'Channel',
                'verbose_name_plural': 'Channels',
            },
        ),
        migrations.CreateModel(
            name='DestinationAADiscordBot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('destination_type', models.CharField(choices=[('CM', 'Channel Message'), ('DM', 'Direct Message')], default='CM', max_length=2)),
                ('destination', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aarelays.channels')),
            ],
            options={
                'verbose_name': 'Discord Channel Destination',
                'verbose_name_plural': 'Discord Channel Destinations',
            },
        ),
        migrations.CreateModel(
            name='DestinationWebhooks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('webhook', models.CharField(max_length=200)),
                ('name', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name': 'Destination Webhook',
                'verbose_name_plural': 'Destination Webhooks',
            },
        ),
        migrations.CreateModel(
            name='Servers',
            fields=[
                ('server', models.PositiveBigIntegerField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=100)),
                ('protocol', models.CharField(choices=[('Discord', 'Discord'), ('Slack', 'Slack'), ('XMPP', 'XMPP')], default='Discord', max_length=10)),
            ],
            options={
                'verbose_name': 'Server',
                'verbose_name_plural': 'Servers',
            },
        ),
        migrations.CreateModel(
            name='RelayConfigurations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('attempt_translation', models.BooleanField(default=False)),
                ('message_mention', models.BooleanField(default=True)),
                ('message_non_mention', models.BooleanField(default=False)),
                ('message_regex', models.CharField(default='.^', max_length=10)),
                ('source_server_all', models.BooleanField(default=False)),
                ('source_channel_all', models.BooleanField(default=False)),
                ('destination_db', models.BooleanField(default=False)),
                ('destination_aadiscordbot', models.ManyToManyField(blank=True, to='aarelays.DestinationAADiscordBot')),
                ('destination_webhook', models.ManyToManyField(blank=True, to='aarelays.DestinationWebhooks')),
                ('source_channel', models.ManyToManyField(to='aarelays.Channels')),
                ('source_server', models.ManyToManyField(to='aarelays.Servers')),
                ('token', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='aarelays.accesstokens')),
            ],
            options={
                'verbose_name': 'Relay Configuration',
                'verbose_name_plural': 'Relay Configurations',
            },
        ),
        migrations.CreateModel(
            name='Messages',
            fields=[
                ('message', models.PositiveBigIntegerField(primary_key=True, serialize=False)),
                ('content', models.CharField(max_length=1000)),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('author', models.PositiveBigIntegerField()),
                ('author_nick', models.CharField(blank=True, max_length=50, null=True)),
                ('channel', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aarelays.channels')),
            ],
            options={
                'verbose_name': 'Message',
                'verbose_name_plural': 'Messages',
            },
        ),
        migrations.AddField(
            model_name='channels',
            name='server',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='aarelays.servers'),
        ),
        migrations.AddField(
            model_name='accesstokens',
            name='servers',
            field=models.ManyToManyField(blank=True, to='aarelays.Servers'),
        ),
    ]
